Bug 755564 - Hibernate exception in server log after NPE in agent plugin
Hibernate exception in server log after NPE in agent plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.2
Unspecified Unspecified
urgent Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon30-sprint9
  Show dependency treegraph
 
Reported: 2011-11-21 08:40 EST by Heiko W. Rupp
Modified: 2012-02-07 14:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Stacktrace (76.45 KB, text/plain)
2011-11-21 08:40 EST, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2011-11-21 08:40:17 EST
Created attachment 534780 [details]
Stacktrace

The as7 plugin has a NPE when the result can not be obtained.

After this shows, the server spits Hibernate issues  - see attachment
Comment 1 Mike Foley 2011-11-22 10:22:14 EST
setting priority to urgent and sprint #9 blocker
Comment 2 John Mazzitelli 2011-11-22 10:43:53 EST
ResourceError.setSummary should check for null and if so, set the summary to a generic error message to avoid an NPE later when the entity is persisted.

master git commit 6fd3fb7

this is not in any release branch.

heiko - can you verify this fixes your issue?
Comment 3 Heiko W. Rupp 2011-11-23 04:21:35 EST
verified and cherry-picked to the release branch as 55b0203c669
Comment 4 Mike Foley 2012-02-07 14:23:38 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 5 Mike Foley 2012-02-07 14:26:07 EST
marking VERIFIED JON 3 bugs to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.